
TYPO3.Media - Bug # 36959

Status: Resolved Priority: Must have
Author: Nikolas Hagelstein Category:
Created: 2012-05-08 Assigned To: Adrian Föder
Updated: 2012-10-19 Due date:
Subject: Image title should be settable via form field
Description

At them moment it is not possible to set the image title via form field,
since the typeConverter handles nothing but the ressource property (not sure if that's the reason, just guessing)

Associated revisions
Revision 27d2c527 - 2012-10-18 22:13 - Adrian Föder

[BUGFIX] Fix Image TypeConverter

The Image TypeConverter now takes care about a given `title` property
and takes it into account for the mapping; additionally the handling of
mapping persisted Images (i.e. sources with an ``__identity`` property)
works as it used to be for persisted entities.

This is covered by some additional Functional Tests, which have,
besides, been augmented a bit and refactored to an abstract functional
test case for reusable methods.

Change-Id: I83e0953278b0dac42b151b2859606206d7f1cf8f
Fixes: #36959
Fixes: #37230

History
#1 - 2012-07-09 14:30 - Adrian Föder
- Status changed from New to Needs Feedback

Nicolas, I seem to remember we talked about this, maybe in IRC; is this solvable with on-board-methods; means: can this be closed?

#2 - 2012-09-28 11:47 - Adrian Föder
- Status changed from Needs Feedback to Accepted
- Assigned To set to Adrian Föder
- Priority changed from Should have to Must have

#3 - 2012-09-28 11:57 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15134

#4 - 2012-09-28 12:09 - Gerrit Code Review
Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15134

#5 - 2012-09-28 16:32 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15134

#6 - 2012-10-10 10:11 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15134

#7 - 2012-10-19 08:28 - Adrian Föder
- Status changed from Accepted to Resolved

Resolved with https://review.typo3.org/#/c/15134/
